Bug 191272 - [PATCH] dns/opendnssec*: location of libsofthsm.so is incorrect
Summary: [PATCH] dns/opendnssec*: location of libsofthsm.so is incorrect
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Erwin Lansing
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-22 12:12 UTC by Andrew Fyfe
Modified: 2014-07-23 08:05 UTC (History)
3 users (show)

See Also:


Attachments
dns/opendnssec13: fix location of libsofthsm.so (439 bytes, patch)
2014-06-22 12:12 UTC, Andrew Fyfe
no flags Details | Diff
dns/opendnssec: fix location of libsofthsm.so (410 bytes, patch)
2014-06-22 12:14 UTC, Andrew Fyfe
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fyfe 2014-06-22 12:12:48 UTC
Created attachment 144022 [details]
dns/opendnssec13: fix location of libsofthsm.so

The opendnssec ports are configured to use libsofthsm.so from
${LOCALBASE}/lib however security/softhsm installs it in ${LOCALBASE}/lib/softhsm

This affects both dns/opendnssec and dns/opendnssec13.

It's more of an annoyance than a major bug as it requires an extra step when
configuring opendnssec.
Comment 1 Andrew Fyfe 2014-06-22 12:14:13 UTC
Created attachment 144023 [details]
dns/opendnssec: fix location of libsofthsm.so
Comment 2 Raphael Kubo da Costa freebsd_committer 2014-06-22 18:41:49 UTC
CC maintainer.
Comment 3 Jaap Akkerhuis 2014-07-15 09:14:54 UTC
Seems a good idea. Note that a new release is planned for Friday 18th July of both version. If people can wait a bit, I'll fix it in there.

[Apologies for the late reaction but I somehow the report never reached me]

        jaap
Comment 4 Jaap Akkerhuis 2014-07-21 21:37:15 UTC
Note that uodates to dns/opendnssec13 and dns/opendnssec has been posted:

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=192022
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=192023

This incorporates the suggested changes so I assume this can be closed

        jaap
Comment 5 Erwin Lansing freebsd_committer 2014-07-23 08:05:53 UTC
Committed, thanks!